cURL
curl --request POST \ --url https://api.example.com/api/find_definitions \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "symbolName": "<string>", "language": "<string>", "revisionName": "<string>", "repoName": "<string>" } '
{ "stats": { "matchCount": 123 }, "files": [ { "fileName": "<string>", "repository": "<string>", "repositoryId": 123, "webUrl": "<string>", "language": "<string>", "matches": [ { "lineContent": "<string>", "range": { "start": { "byteOffset": 123, "lineNumber": 123, "column": 123 }, "end": { "byteOffset": 123, "lineNumber": 123, "column": 123 } } } ] } ], "repositoryInfo": [ { "id": 123, "codeHostType": "github", "name": "<string>", "displayName": "<string>", "webUrl": "<string>" } ] }
Returns all locations in the codebase where the given symbol is defined.
Send either a Sourcebot API key (sbk_...) or, on EE instances with OAuth enabled, an OAuth access token (sboa_...) in the Authorization header.
sbk_...
sboa_...
Symbol definition locations.
Show child attributes
Was this page helpful?